# -*- coding: utf-8 -*-

# opsidirectoryconnector complements the desktop management solution opsi
# (open pc server integration) http://www.opsi.org
# Copyright (C) 2016-2019 uib GmbH <info@uib.de>

"""
Logging functionality.

Shared logger for all modules.

:copyright: uib GmbH <info@uib.de>
:author: Niko Wenselowski <n.wenselowski@uib.de>
"""

import logging
import sys


LOGGER = logging.getLogger('opsidirectoryconnector')


def configureLogger(logger, level):
    """
    Configure the logger.

    The basic level is set to `level`.

    Messages that are in level WARNING, ERROR or CRITICAL will be
    shown in stderr and stdout.
    """
    logger.setLevel(level)

    formatter = logging.Formatter('[%(levelname)s] [%(asctime)s] %(message)s')
    stdoutHandler = logging.StreamHandler(sys.stdout)
    stdoutHandler.setLevel(level)
    stdoutHandler.setFormatter(formatter)
    logger.addHandler(stdoutHandler)
