# -*- coding: utf-8 -*-

# opsidirectoryconnector complements the desktop management solution opsi
# (open pc server integration) http://www.opsi.org
# Copyright (C) 2016-2019 uib GmbH <info@uib.de>

"""
Utility functions.

:copyright: uib GmbH <info@uib.de>
:author: Niko Wenselowski <n.wenselowski@uib.de>
"""

from .logger import LOGGER


def isFqdn(name):
    return name.count('.') >= 2


def listReplace(llist, find, replaceWith):
    for index, item in enumerate(llist):
        if item == find:
            LOGGER.debug('replacing {0!r} with {1!r}'.format(llist[index], replaceWith))
            llist[index] = replaceWith

    return llist


def areValuesDifferent(firstValue, secondValue):
    """
    Returns `True` if the values differ.

    This will not compare two falsy values, i.e. '' and None.
    """
    return any((firstValue, secondValue)) and firstValue != secondValue
